export LC_ALL='C.UTF-8'
export TZ='UTC'
export TMPDIR='' # changed during 07initialization.bash
DO_NOT_INFORM_TO_STDOUT=0
function inform {
    if ((!$DO_NOT_INFORM_TO_STDOUT)); then
        echo "$SCRIPTNAME:" $@;
    fi;
}
function inform_stderr { echo >&2 "$SCRIPTNAME:" $@; }
function warn { echo >&2 "$SCRIPTNAME warning:" $@; exit 1; }
function die { echo >&2 "$SCRIPTNAME error:" $@; exit 1; }
. "$RC_DIR/$SCRIPTNAME.conf"
function print_bar {
    echo '-------------------------------------------------------------------------------'
}
function die_if_empty {
    for A in "$@"; do
        [ -z "$A" ] && die "the empty string '' is"\
        "unacceptable in this context"
    done
    true
}
function die_if_spaces {
    for A in "$@"; do
        [[ "$A" = *[[:space:]]* ]] && die "unable to handle"\
        "the space or spaces in '$A'"
    done
    true
}
# The 'z' in 'die_if_zsp' is for zero-length; that is, empty.
# The 'sp' is for spaces, so the name may be read
# as "die if is empty or has spaces".
function die_if_zsp { die_if_empty "$@"; die_if_spaces "$@"; }
function handle_exit_trap {
    if [ -n "$TMPDIR" ]; then
        if (($LEAVE_TEMP_DATA_BEHIND)); then
            inform_stderr "finishing (or exiting), but leaving behind"\
            "temporary data files for the user's inspection in $TMPDIR/"
        else
            rm -rf "$TMPDIR"
        fi
    fi
}
trap handle_exit_trap EXIT

